
lc = 1.0;

dx = 0.05;
dy = 0.01;
dz = 0.01;

nx1 = 5;

Point(1) = {0.0,0.0,0.0,lc};
Point(2) = {0.0,dy,0.0,lc};
Point(3) = {0.0,dy,dz,lc};
Point(4) = {0.0,0.0,dz,lc};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

Line Loop(5) = {1,2,3,4};

Plane Surface(6) = {5};

Transfinite Line {4, 3, 2, 1} = 1 Using Progression 1;

Recombine Surface {6};

out[] = Extrude {dx,0,0} { 
Surface{6}; 
Layers { nx1 }; 
Recombine; 
}; 

// Inlet surface
Physical Surface(30) = {6};

// Outler surface
Physical Surface(31) = {28};

// Side walls
Physical Surface(32) = {15,19,23,27};

// Box volume
Physical Volume (35) = {out[1]};

